Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl
Class ManagedEntityValueImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.ManagedEntityValueImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, ManagedEntityValue, java.io.Serializable, SerializerFactory

Direct Known Subclasses:
  PmManagedEntityValueImpl, PmManagedEntityValueImpl

public class ManagedEntityValueImpl
extends AttributeAccessImpl
implements ManagedEntityValue

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Henrik Lindstr?m
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.ManagedEntityValue
`KEY`

Constructor Summary
`ManagedEntityValueImpl()`

Method Summary
`long` | `getLastUpdateVersionNumber()` Get the version number of the last update.
`ManagedEntityKey` | `getManagedEntityKey()` Get the key for this object.
`java.lang.String[]` | `getSettableAttributeNames()` Get names of all attributes which the server allows the client to set.
`ManagedEntityKey` | `makeManagedEntityKey()` Manufacture a Key for this managed entity.
`void` | `setLastUpdateVersionNumber(long lastUpdateNumber)` Set the last update version number.
`void` | `setManagedEntityKey(ManagedEntityKey key)` Set a new key for this value object.

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`clone, getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, getSupportedSerializerTypes, isFullyPopulated, isPopulated, makeSerializer, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.ManagedEntityValue
`clone`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Constructor Detail

### ManagedEntityValueImpl

    public ManagedEntityValueImpl()

Method Detail

### getLastUpdateVersionNumber

    public long getLastUpdateVersionNumber()

  Description copied from interface: `ManagedEntityValue`
  Get the version number of the last update.

  Specified by:
    `getLastUpdateVersionNumber` in interface `ManagedEntityValue`

### setLastUpdateVersionNumber

    public void setLastUpdateVersionNumber(long lastUpdateNumber)
                                    throws java.lang.IllegalArgumentException

  Description copied from interface: `ManagedEntityValue`
  Set the last update version number. This field should never be set by the application client. Mutator is provided for Serialization and Deserialization purposes only.

  Specified by:
    `setLastUpdateVersionNumber` in interface `ManagedEntityValue`
  Parameters:
    `lastUpdateNumber` -
  Throws:
    `java.lang.IllegalArgumentException`

### getManagedEntityKey

    public ManagedEntityKey getManagedEntityKey()
                                         throws java.lang.IllegalStateException

  Description copied from interface: `ManagedEntityValue`
  Get the key for this object. The key is unique over all objects.

  Specified by:
    `getManagedEntityKey` in interface `ManagedEntityValue`
  Returns:
    the key for this value object.
  Throws:
    `java.lang.IllegalStateException` - in case the key attribute is not populated.
  See Also:
    `ManagedEntityKey`

### makeManagedEntityKey

    public ManagedEntityKey makeManagedEntityKey()

  Description copied from interface: `ManagedEntityValue`
  Manufacture a Key for this managed entity.

  Specified by:
    `makeManagedEntityKey` in interface `ManagedEntityValue`
  Returns:
    a newly created empty key of the appropriate type.

### setManagedEntityKey

    public void setManagedEntityKey(ManagedEntityKey key)
                             throws java.lang.IllegalArgumentException

  Description copied from interface: `ManagedEntityValue`
  Set a new key for this value object.

  May be used when there is a need to search for an specific object using this value as a template.

  Specified by:
    `setManagedEntityKey` in interface `ManagedEntityValue`
  Parameters:
    `key` - the new value for the key
  Throws:
    `java.lang.IllegalArgumentException` - when the given key is not of correct type. Typically, subinterfaces of ManagedEntityValue have a corresponding subinterface of ManagedEntityKey. An implementing type of this sub key class might be expected as a parameter.

### getSettableAttributeNames

    public java.lang.String[] getSettableAttributeNames()

  Description copied from interface: `ManagedEntityValue`
  Get names of all attributes which the server allows the client to set.

  It is required to return a subset of the array returned by `getAttributeNames()`.

  Specified by:
    `getSettableAttributeNames` in interface `ManagedEntityValue`
  Returns:
    the names of attributes that can be set by the client.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD